import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
// Set up interactivity with knobs
import { text } from '@storybook/addon-knobs'
// Import our component from this folder
import Badge from './Badge'

const stories = storiesOf('Badge', module)

const badgeText = () => text('Badge Text:', '10')

stories.add('Badge default', () => {
  return <Badge badgeText={badgeText()} />
})
