import React from 'react'
import ExternalLink from '../ExternalLink'
import { YAHOO_OR_AOL_NOTIFACTIONS } from '../../constants/staticLinks'
import { useLocalize } from '../../utils/localize'
import styles from './dmarcWarning.less'

const DmarcWaring = () => (
  <span className={styles.textStyle}>
    {useLocalize`Emails cannot be sent on behalf of Yahoo! and AOL email addresses and will instead be sent from
    notifications@email.submittable.com. `}
    <ExternalLink href={YAHOO_OR_AOL_NOTIFACTIONS}>{useLocalize`More info.`}</ExternalLink>
  </span>
)

export default DmarcWaring
