import React from 'react'
import renderer from 'react-test-renderer'
import Icon from './Icon'
import icons from './icons'

describe('<Icon />', () => {
  it('renders correctly', () => {
    const tree = renderer
      .create(<Icon icon={icons.ACTIVE} size={30} insideCircle={false} style={{ fill: '#333' }} />)
      .toJSON()
    expect(tree).toMatchSnapshot()
  })
})
