import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
import { text, boolean } from '@storybook/addon-knobs'
// Import our component from this folder
import Label from './Label'

const stories = storiesOf('Form Elements', module)

stories.add('Label', () => {
  const formGroupHeading = boolean('Header Label:', false)
  const label = text('Label Text:', 'My custom label')
  const isLegend = boolean('Is Legend:', false)
  const required = boolean('Required: ', false)
  return (
    <Label
      formGroupHeading={formGroupHeading}
      label={label}
      isLegend={isLegend}
      required={required}
    />
  )
})
