import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
import { object, withKnobs } from '@storybook/addon-knobs'
// Import our component from this folder
import BackToLink from './BackToLink'

const stories = storiesOf('Links', module)
stories.addDecorator(withKnobs)

stories.add('Back to Link', () => {
  const eventContext = object('Event Context:', null)

  return (
    <BackToLink
      to="./?path=/story/links--back-to-link"
      useReactRouter={false}
      eventContext={eventContext}
    />
  )
})
