import React from 'react'
import renderer from 'react-test-renderer'
import Dropdown from './Dropdown'

describe('<Dropdown />', () => {
  it('renders correctly', () => {
    const tree = renderer
      .create(
        <Dropdown label="Drop it down with a large label">
          <a href="#linkone">Drop it down with a large label</a>
          <a href="#linkone">Link There</a>
          <a href="#linkone">Link Away</a>
        </Dropdown>
      )
      .toJSON()
    expect(tree).toMatchSnapshot()
  })
})
