import React from 'react'
import renderer from 'react-test-renderer'
import ErrorMessage from './ErrorMessage'

describe('<ErrorMessage />', () => {
  it('renders correctly', () => {
    const tree = renderer
      .create(<ErrorMessage message="I'm an error" label="Check Me!" id="1" />)
      .toJSON()

    expect(tree).toMatchSnapshot()
  })
})
