import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
import { text, select } from '@storybook/addon-knobs'
// Import our component from this folder
import LoadingSpinner from './LoadingSpinner'

const stories = storiesOf('Loading Components', module)

const sizes = ['xs', 'small', 'medium', 'large']
const size = () => select('Size:', sizes, 'small')
const color = () => text('Color:', 'red')

stories.add('Spinner', () => <LoadingSpinner color={color()} size={size()} />)
