import React from 'react'
import ReactDOM from 'react-dom'
import renderer from 'react-test-renderer'
import Modal from './Modal'

describe('<Modal />', () => {
  // A workaround because ReactDOM.createPortal can't be used in addition to the test renderer
  ReactDOM.createPortal = node => node
  it('renders correctly', () => {
    const tree = renderer.create(<Modal isShowing onClose={() => null} />, document.body).toJSON()
    expect(tree).toMatchSnapshot()
  })
})
