import { snakeCaseObjectKeys, removeEmpyItems } from './objectUtils'

const getDataEventContext = obj =>
  Boolean(obj) &&
  Object.keys(obj).length > 0 && {
    'data-event-context': JSON.stringify(snakeCaseObjectKeys(removeEmpyItems(obj))),
  }

export default getDataEventContext
